Subject: Re: Pull request: scottwood/linux.git next

From: Benjamin Herrenschmidt <[email-masked]>
Date: Tue, 20 Aug 2013 09:47:19 +1000

On Mon, 2013-08-19 at 17:56 -0500, Scott Wood wrote:
> If we use the generic CPU target then mftb won't get turned into mfspr
> (I assume this is what you meant by "tricky asm").  Does mfspr work
> everywhere, including from userspace?  Or do we need to patch?  What
> about 403GCX which seems to need some special SPR (I could leave the
> existing ifdef alone, but what about vdso)?

I think mfspr works everywhere we care about but I might be mistaken :-)
I don't think anybody have tried booting a 403 in a looooong time. I
would be surprised if it still worked.

Cheers,
Ben.